Skip to main content
GET
/
trigger-inbox
/
api
/
v1
/
inboxes
List all inboxes.
curl --request GET \
  --url https://api.zapier.com/trigger-inbox/api/v1/inboxes \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "status": "<string>",
      "subscription": {
        "app_key": "<string>",
        "action_key": "<string>",
        "inputs": {},
        "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "name": "<string>",
      "notification_url": "<string>"
    }
  ],
  "next": "https://api.example.org/accounts/?offset=400&limit=100",
  "previous": "https://api.example.org/accounts/?offset=200&limit=100"
}

Documentation Index

Fetch the complete documentation index at: https://docs.zapier.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication.

Query Parameters

limit
integer

Number of results to return per page.

name
string
offset
integer

The initial index from which to return the results.

status
enum<string>
  • initializing - initializing
  • active - active
  • paused - paused
  • deleting - deleting
  • initialization_failure - initialization_failure
Available options:
active,
deleting,
initialization_failure,
initializing,
paused

Response

count
integer
required

Total number of results across all pages.

Example:

123

results
object[]
required

Array of results for the current page.

next
string<uri> | null

Link to next page of results if any.

Example:

"https://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null

Link to previous page of results if any.

Example:

"https://api.example.org/accounts/?offset=200&limit=100"